## org.mortbay.util
Class ByteArrayOutputStream2

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              org.mortbay.util.ByteArrayOutputStream2

All Implemented Interfaces:
  Closeable, Flushable

    public class ByteArrayOutputStream2

extends ByteArrayOutputStream

ByteArrayOutputStream with public internals

Author:
  Greg Wilkins (gregw)

Field Summary

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Constructor Summary
`ByteArrayOutputStream2()`
`ByteArrayOutputStream2(int size)`

Method Summary
`byte[]` `getBuf()`
`int` `getCount()`
`void` `reset(int minSize)`
`void` `setCount(int count)`
`void` `writeUnchecked(int b)`

Methods inherited from class java.io.ByteArrayOutputStream
`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteArrayOutputStream2

    public ByteArrayOutputStream2()

### ByteArrayOutputStream2

    public ByteArrayOutputStream2(int size)

Method Detail

### getBuf

    public byte[] getBuf()

### getCount

    public int getCount()

### setCount

    public void setCount(int count)

### reset

    public void reset(int minSize)

### writeUnchecked

    public void writeUnchecked(int b)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.